Skip to main content
PUT
/
v1
/
cards
/
{id}
/
pin
Set physical card PIN
curl --request PUT \
  --url https://sandbox.apocor.ai/v1/cards/{id}/pin \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "pin": "1234"
}'
import requests

url = "https://sandbox.apocor.ai/v1/cards/{id}/pin"

payload = { "pin": "1234" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({pin: '1234'})
};

fetch('https://sandbox.apocor.ai/v1/cards/{id}/pin', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "updated": true
  }
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Path Parameters

id
string
required

Resource identifier.

Body

application/json
pin
string
required

Response

200 - application/json

PIN updated.

data
object